curl --request GET \
--url https://api.nomos.energy/subscriptions/{id}/prices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nomos.energy/subscriptions/{id}/prices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nomos.energy/subscriptions/{id}/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "price",
"subscription": "sub_rocbrf1u5e48mm0reeqoag90",
"period": {
"start": "2025-04-01",
"end": "2025-04-01"
},
"unit": "ct/kWh",
"currency": "EUR",
"resolution": "hourly",
"reference": "EPEX Day-Ahead Hourly",
"items": [
{
"timestamp": "2024-01-31T00:00:00Z",
"amount": 24.44,
"components": [
{
"type": "electricity",
"amount": 8.77
},
{
"type": "grid",
"amount": 9.47
},
{
"type": "levies",
"amount": 6.2
}
]
},
{
"timestamp": "2024-01-31T01:00:00Z",
"amount": 22.15,
"components": [
{
"type": "electricity",
"amount": 7.48
},
{
"type": "grid",
"amount": 9.47
},
{
"type": "levies",
"amount": 5.2
}
]
},
{
"timestamp": "2024-01-31T02:00:00Z",
"amount": 20.88,
"components": [
{
"type": "electricity",
"amount": 6.21
},
{
"type": "grid",
"amount": 9.47
},
{
"type": "levies",
"amount": 5.2
}
]
},
{
"timestamp": "2024-01-31T03:00:00Z",
"amount": 19.97,
"components": [
{
"type": "electricity",
"amount": 5.3
},
{
"type": "grid",
"amount": 9.47
},
{
"type": "levies",
"amount": 5.2
}
]
},
{
"timestamp": "2024-01-31T04:00:00Z",
"amount": 21.56,
"components": [
{
"type": "electricity",
"amount": 6.89
},
{
"type": "grid",
"amount": 9.47
},
{
"type": "levies",
"amount": 5.2
}
]
}
]
}{
"code": "BAD_REQUEST",
"message": "invalid_type in 'end': Required",
"requestId": "37a04f8f-e791-491c-81e1-86cd304649bb",
"docs": "https://docs.nomos.energy/api-references/errors/BAD_REQUEST",
"errors": [
{
"code": "invalid_type",
"field": "favoriteNumbers.1",
"message": "Invalid input: expected string, received number"
}
]
}{
"code": "UNAUTHORIZED",
"message": "Invalid or malformed token",
"requestId": "37a04f8f-e791-491c-81e1-86cd304649bb",
"docs": "https://docs.nomos.energy/api-references/errors/UNAUTHORIZED",
"errors": [
{
"code": "invalid_type",
"field": "favoriteNumbers.1",
"message": "Invalid input: expected string, received number"
}
]
}{
"code": "PAYMENT_REQUIRED",
"message": "Payment required",
"requestId": "37a04f8f-e791-491c-81e1-86cd304649bb",
"docs": "https://docs.nomos.energy/api-references/errors/PAYMENT_REQUIRED",
"errors": [
{
"code": "invalid_type",
"field": "favoriteNumbers.1",
"message": "Invalid input: expected string, received number"
}
]
}{
"code": "FORBIDDEN",
"message": "You are not allowed to access this resource",
"requestId": "37a04f8f-e791-491c-81e1-86cd304649bb",
"docs": "https://docs.nomos.energy/api-references/errors/FORBIDDEN",
"errors": [
{
"code": "invalid_type",
"field": "favoriteNumbers.1",
"message": "Invalid input: expected string, received number"
}
]
}{
"code": "NOT_FOUND",
"message": "Resource not found",
"requestId": "37a04f8f-e791-491c-81e1-86cd304649bb",
"docs": "https://docs.nomos.energy/api-references/errors/NOT_FOUND",
"errors": [
{
"code": "invalid_type",
"field": "favoriteNumbers.1",
"message": "Invalid input: expected string, received number"
}
]
}{
"code": "METHOD_NOT_ALLOWED",
"message": "Method not allowed",
"requestId": "37a04f8f-e791-491c-81e1-86cd304649bb",
"docs": "https://docs.nomos.energy/api-references/errors/METHOD_NOT_ALLOWED",
"errors": [
{
"code": "invalid_type",
"field": "favoriteNumbers.1",
"message": "Invalid input: expected string, received number"
}
]
}{
"code": "CONFLICT",
"message": "Resource already exists",
"requestId": "37a04f8f-e791-491c-81e1-86cd304649bb",
"docs": "https://docs.nomos.energy/api-references/errors/CONFLICT",
"errors": [
{
"code": "invalid_type",
"field": "favoriteNumbers.1",
"message": "Invalid input: expected string, received number"
}
]
}{
"code": "UNPROCESSABLE_ENTITY",
"message": "invalid_enum_value in 'status': Invalid enum value. Expected 'pending' | 'active' | 'ended'",
"requestId": "37a04f8f-e791-491c-81e1-86cd304649bb",
"docs": "https://docs.nomos.energy/api-references/errors/UNPROCESSABLE_ENTITY",
"errors": [
{
"code": "invalid_type",
"field": "favoriteNumbers.1",
"message": "Invalid input: expected string, received number"
}
]
}{
"code": "TOO_MANY_REQUESTS",
"message": "Wait 30 seconds before retrying.",
"requestId": "37a04f8f-e791-491c-81e1-86cd304649bb",
"docs": "https://docs.nomos.energy/api-references/errors/TOO_MANY_REQUESTS",
"errors": [
{
"code": "invalid_type",
"field": "favoriteNumbers.1",
"message": "Invalid input: expected string, received number"
}
]
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error",
"requestId": "37a04f8f-e791-491c-81e1-86cd304649bb",
"docs": "https://docs.nomos.energy/api-references/errors/INTERNAL_SERVER_ERROR",
"errors": [
{
"code": "invalid_type",
"field": "favoriteNumbers.1",
"message": "Invalid input: expected string, received number"
}
]
}Retrieve a price time series
Retrieve a price object for a given subscription. For a consumption subscription this is the variable price time series the customer pays and can optimize consumption against; for a feed-in subscription it is the payout the customer is credited per kWh, based on EPEX day-ahead spot prices and without grid fees. All prices are inclusive of VAT, except feed-in payouts to a VAT-exempt customer.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
"sub_1"
Query Parameters
Start date of the period at 00:00:00 in local time of the customer (format yyyy-mm-dd)
^\d{4}-\d{2}-\d{2}$"2025-02-01"
End date of the period at 23:59:59 in local time of the customer (format yyyy-mm-dd)
^\d{4}-\d{2}-\d{2}$"2025-02-01"
Response
Retrieve the price details
price The id of the subscription
"sub_rocbrf1u5e48mm0reeqoag90"
Show child attributes
Show child attributes
The unit of the price
"ct/kWh"
The currency of the price
"EUR"
The time resolution of the price data points
hourly, 15min "hourly"
Reference market for electricity prices
"EPEX Day-Ahead Hourly"
List of price data points. Null if subscription is not active (either hasn't started yet or has ended).
Show child attributes
Show child attributes
[
{
"timestamp": "2024-01-31T00:00:00Z",
"amount": 24.44,
"components": [
{ "type": "electricity", "amount": 8.77 },
{ "type": "grid", "amount": 9.47 },
{ "type": "levies", "amount": 6.2 }
]
},
{
"timestamp": "2024-01-31T01:00:00Z",
"amount": 22.15,
"components": [
{ "type": "electricity", "amount": 7.48 },
{ "type": "grid", "amount": 9.47 },
{ "type": "levies", "amount": 5.2 }
]
},
{
"timestamp": "2024-01-31T02:00:00Z",
"amount": 20.88,
"components": [
{ "type": "electricity", "amount": 6.21 },
{ "type": "grid", "amount": 9.47 },
{ "type": "levies", "amount": 5.2 }
]
},
{
"timestamp": "2024-01-31T03:00:00Z",
"amount": 19.97,
"components": [
{ "type": "electricity", "amount": 5.3 },
{ "type": "grid", "amount": 9.47 },
{ "type": "levies", "amount": 5.2 }
]
},
{
"timestamp": "2024-01-31T04:00:00Z",
"amount": 21.56,
"components": [
{ "type": "electricity", "amount": 6.89 },
{ "type": "grid", "amount": 9.47 },
{ "type": "levies", "amount": 5.2 }
]
}
]
Was this page helpful?